<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DisclosureOfInterestRateRisk" xlink:label="warehousereitplc_DisclosureOfInterestRateRisk" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" xlink:label="warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" xlink:label="warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_PropertyOperatingExpenses" xlink:label="warehousereitplc_PropertyOperatingExpenses" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DescriptionOfAccountingPolicyForPropertyIncome" xlink:label="warehousereitplc_DescriptionOfAccountingPolicyForPropertyIncome" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" xlink:label="warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" xlink:label="warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" xlink:label="warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DisclosureOfPropertyIncome" xlink:label="warehousereitplc_DisclosureOfPropertyIncome" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_OperatingProfitBeforeLossesGainsOnInvestmentProperties" xlink:label="warehousereitplc_OperatingProfitBeforeLossesGainsOnInvestmentProperties" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_NetPropertyIncome" xlink:label="warehousereitplc_NetPropertyIncome" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_NetAssetValuePerShareBasicAndDiluted" xlink:label="warehousereitplc_NetAssetValuePerShareBasicAndDiluted" />
    <loc xlink:type="locator" xlink:href="warehousereitplc-2023-03-31.xsd#warehousereitplc_DisclosureOfUltimateControllingParty" xlink:label="warehousereitplc_DisclosureOfUltimateControllingParty" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_NetPropertyIncome" xlink:to="label_warehousereitplc_warehousereitplcNetPropertyIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_PropertyOperatingExpenses" xlink:to="label_warehousereitplc_warehousereitplcPropertyOperatingExpenses_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_OperatingProfitBeforeLossesGainsOnInvestmentProperties" xlink:to="label_warehousereitplc_warehousereitplcOperatingProfitBeforeLossesGainsOnInvestmentProperties_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_NetAssetValuePerShareBasicAndDiluted" xlink:to="label_warehousereitplc_warehousereitplcNetAssetValuePerShareBasicAndDiluted_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_AdjustmentsForRealisedLossOnDisposalOfInvestmentProperties" xlink:to="label_warehousereitplc_warehousereitplcAdjustmentsForRealisedLossOnDisposalOfInvestmentProperties_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_CapitalExpenditureClassifiedAsInvestingActivities" xlink:to="label_warehousereitplc_warehousereitplcCapitalExpenditureClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_DevelopmentExpenditureClassifiedAsInvestingActivities" xlink:to="label_warehousereitplc_warehousereitplcDevelopmentExpenditureClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_LoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities" xlink:to="label_warehousereitplc_warehousereitplcLoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_OtherFinanceExpensesPaidClassifiedAsFinancingActivities" xlink:to="label_warehousereitplc_warehousereitplcOtherFinanceExpensesPaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_DisclosureOfPropertyIncome" xlink:to="label_warehousereitplc_warehousereitplcDisclosureOfPropertyIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_DescriptionOfAccountingPolicyForPropertyIncome" xlink:to="label_warehousereitplc_warehousereitplcDescriptionOfAccountingPolicyForPropertyIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_DisclosureOfInterestRateRisk" xlink:to="label_warehousereitplc_warehousereitplcDisclosureOfInterestRateRisk_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="warehousereitplc_DisclosureOfUltimateControllingParty" xlink:to="label_warehousereitplc_warehousereitplcDisclosureOfUltimateControllingParty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_warehousereitplc_warehousereitplcNetPropertyIncome_Standard" id="warehousereitplc_warehousereitplcNetPropertyIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net property income</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcPropertyOperatingExpenses_Standard" id="warehousereitplc_warehousereitplcPropertyOperatingExpenses_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Property operating expenses</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcOperatingProfitBeforeLossesGainsOnInvestmentProperties_Standard" id="warehousereitplc_warehousereitplcOperatingProfitBeforeLossesGainsOnInvestmentProperties_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating profit before (losses)/gains on investment properties</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcNetAssetValuePerShareBasicAndDiluted_Standard" id="warehousereitplc_warehousereitplcNetAssetValuePerShareBasicAndDiluted_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net asset value per share (basic and diluted)</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcAdjustmentsForRealisedLossOnDisposalOfInvestmentProperties_Standard" id="warehousereitplc_warehousereitplcAdjustmentsForRealisedLossOnDisposalOfInvestmentProperties_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for realised loss on disposal of investment properties</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcCapitalExpenditureClassifiedAsInvestingActivities_Standard" id="warehousereitplc_warehousereitplcCapitalExpenditureClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Capital expenditure classified as investing activities</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcDevelopmentExpenditureClassifiedAsInvestingActivities_Standard" id="warehousereitplc_warehousereitplcDevelopmentExpenditureClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Development expenditure classified as investing activities</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcLoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities_Standard" id="warehousereitplc_warehousereitplcLoanInterestAndOtherFinanceExpensesPaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loan interest and other finance expenses paid classified as financing activities</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcOtherFinanceExpensesPaidClassifiedAsFinancingActivities_Standard" id="warehousereitplc_warehousereitplcOtherFinanceExpensesPaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other finance expenses paid classified as financing activities</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcDisclosureOfPropertyIncome_Standard" id="warehousereitplc_warehousereitplcDisclosureOfPropertyIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of property income</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcDescriptionOfAccountingPolicyForPropertyIncome_Standard" id="warehousereitplc_warehousereitplcDescriptionOfAccountingPolicyForPropertyIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for property income</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcDisclosureOfInterestRateRisk_Standard" id="warehousereitplc_warehousereitplcDisclosureOfInterestRateRisk_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of interest rate risk</label>
    <label xlink:label="label_warehousereitplc_warehousereitplcDisclosureOfUltimateControllingParty_Standard" id="warehousereitplc_warehousereitplcDisclosureOfUltimateControllingParty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of ultimate controlling party</label>
  </labelLink>
</linkbase>